Page 1 of 1

parse error for prvmsg.php after upgrade

Posted: Mon Apr 18, 2005 2:29 am
by wickedintense
Parse error: parse error, unexpected T_STRING in /home/tantri3/public_html/bulletinboard/privmsg.php on line 533


everything else seems to be working fine except our ability to use the pm

Posted: Mon Apr 18, 2005 3:29 am
by wickedintense
hhmmm i can't seem to find what's wrong :?

Posted: Mon Apr 18, 2005 4:42 am
by sonyboy
Hey, recheck the MOD for primsg.php file, and does your forum have any MODs installed?

Posted: Tue Apr 19, 2005 12:33 am
by wickedintense
sonyboy wrote: Hey, recheck the MOD for primsg.php file, and does your forum have any MODs installed?


I'm not really sure what you mean by check the MOD for privmsg.php. I didn't install a privmsg MOD. I do have mods that were installed before the upgrade to 2.0.014 they are the posticon MOD the attachment MOD recommend us MOD and the updates from 2.0.10 to each new version.

Posted: Tue Apr 19, 2005 1:20 am
by thecharmed01
How did you do the upgrade?

Did you use the changed files pack, or apply the changes like a mod?

Posted: Tue Apr 19, 2005 1:38 am
by wickedintense
I used the code changes provided by acid burn because i have MODS on the board then i used the install/update_to_latest.php

there weren't any errors listed and everything seemed to go just fine. so i'm clueless as to y i am getting the parse error line 533 all of a sudde.
i tried loading the old prvmsg.php back up, and checked the code changes and it all seems fine :?

Posted: Tue Apr 19, 2005 11:34 pm
by wickedintense
:?:

Posted: Tue Apr 19, 2005 11:44 pm
by thecharmed01
to be honest, I have just discovered the same thing.........

I did manual upgrades from 11 to 12, then 12 to 13, then 13 to 14

I though all was well till the emails started coming in :oops:

I have that error with the pm's I only discovered last night and I have redone the mod three times to be sure I didnt screw it up!!

Posted: Wed Apr 20, 2005 12:05 am
by wickedintense
thecharmed01 wrote: to be honest, I have just discovered the same thing.........

I did manual upgrades from 11 to 12, then 12 to 13, then 13 to 14

I though all was well till the emails started coming in :oops:

I have that error with the pm's I only discovered last night and I have redone the mod three times to be sure I didnt screw it up!!


same here i redid it several times, went back to the old prvmsg file, went back to the new one each and every time now i am getting that parse error. I wonder if it is even directly related to the prvmsg.php file or if it could be from another file... All i know is before this my board pm's were fine and it doesn't seem to accept the original file anymore either without coming out with this error message ?

I would like to get it fixed so the members can use the pm's though. It just seems that the fixes i've used in the past just aren't working :cry:

Posted: Thu Apr 21, 2005 2:27 am
by wickedintense
wickedintense wrote:
sonyboy wrote:Hey, recheck the MOD for primsg.php file, and does your forum have any MODs installed?


I'm not really sure what you mean by check the MOD for privmsg.php. I didn't install a privmsg MOD. I do have mods that were installed before the upgrade to 2.0.014 they are the posticon MOD the attachment MOD recommend us MOD and the updates from 2.0.10 to each new version.



still can't use pm's on the board


Parse error: parse error, unexpected T_STRING in /home/tantri3/public_html/bulletinboard/privmsg.php on line 533

Posted: Thu Apr 21, 2005 7:05 am
by thecharmed01
Well, I ended up seeking help and apparently I had made an error in the mod.

So I do recommend re-doing the mod :)

Posted: Thu Apr 21, 2005 7:17 am
by flogger12
well, let's see, if worked before the upgrade, you did the upgrad manually, part of that upgrade is editing that file, I guess that just leaves a mistake in the edits to the file.

:lol: :lol:

luck,
robert

Posted: Fri Apr 22, 2005 1:02 am
by wickedintense
thecharmed01 wrote: Well, I ended up seeking help and apparently I had made an error in the mod.

So I do recommend re-doing the mod :)


:( I redid the mod a couple of times and still no go

what exactly was your error ? maybe i did the same thing